BITMAP_FIND_NEXT_ZER(9)

NAME
bitmap_find_next_zero_area_off - find a contiguous aligned zero area

SYNOPSIS

unsigned long bitmap_find_next_zero_area_off(unsigned long * map, unsigned long size, unsigned long start, unsigned int nr, unsigned long align_mask, unsigned long align_offset);

ARGUMENTS

map
    The address to base the search on

size
    The bitmap size in bits

start
    The bitnumber to start searching at

nr
    The number of zeroed bits we're looking for

align_mask
    Alignment mask for zero area

align_offset
    Alignment offset for zero area.

DESCRIPTION

The align_mask should be one less than a power of 2; the effect is that the bit offset of all zero areas this function finds plus align_offset is multiple of that power of 2.

COPYRIGHT